From 6276770954f6eb7b593f7073459981dd8c6c6285 Mon Sep 17 00:00:00 2001 From: Maxim Brunnmeier Date: Thu, 21 May 2026 11:59:17 +0200 Subject: [PATCH] docs(openapi): document style_id, translation_memory_id, and translation_memory_threshold on POST /v2/document Reuses the existing TranslationMemoryId and TranslationMemoryThreshold schemas already used by /v2/translate, and adds StyleRule and TranslationMemory request examples alongside the existing Basic and Glossary examples. --- api-reference/openapi.yaml | 26 ++++++++++++++++++++++++++ 1 file changed, 26 insertions(+) diff --git a/api-reference/openapi.yaml b/api-reference/openapi.yaml index 107b856..bc72d74 100644 --- a/api-reference/openapi.yaml +++ b/api-reference/openapi.yaml @@ -776,6 +776,21 @@ paths: target_lang: DE file: '@document.docx' glossary_id: '[yourGlossaryId]' + StyleRule: + summary: Using a Style Rule List + value: + source_lang: EN + target_lang: DE + file: '@document.docx' + style_id: '[yourStyleId]' + TranslationMemory: + summary: Using a Translation Memory + value: + source_lang: EN + target_lang: DE + file: '@document.docx' + translation_memory_id: '[yourTranslationMemoryId]' + translation_memory_threshold: 75 schema: type: object required: @@ -812,6 +827,17 @@ paths: $ref: '#/components/schemas/Formality' glossary_id: $ref: '#/components/schemas/GlossaryId' + style_id: + description: |- + Specify the [style rule list](/api-reference/style-rules) to use for the translation. + + **Important:** The target language has to match the language of the style rule list. + type: string + example: 7ff9bfd6-cd85-4190-8503-d6215a321519 + translation_memory_id: + $ref: '#/components/schemas/TranslationMemoryId' + translation_memory_threshold: + $ref: '#/components/schemas/TranslationMemoryThreshold' enable_beta_languages: description: |- This parameter is maintained for backward compatibility and has no effect.